This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 509740 - [Regression] KMS misses some refresh rates on ATI hardware.
[Regression] KMS misses some refresh rates on ATI hardware.
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
11
All Linux
low Severity medium
: ---
: ---
Assigned To: Dave Airlie
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-07-05 12:43 EDT by Diego
Modified: 2009-09-10 04:03 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-10 04:00:11 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
dmesg with KMS (24.28 KB, text/plain)
2009-07-05 12:43 EDT, Diego
no flags Details
Xorg.0.log with KMS (85.61 KB, text/plain)
2009-07-05 12:44 EDT, Diego
no flags Details
dmesg without KMS (28.86 KB, text/plain)
2009-07-05 13:07 EDT, Diego
no flags Details
Xorg.0.log without KMS (152.21 KB, text/plain)
2009-07-05 13:07 EDT, Diego
no flags Details
dmesg with KMS now working properly. (28.25 KB, text/plain)
2009-09-10 04:03 EDT, Diego
no flags Details

  None (edit)
Description Diego 2009-07-05 12:43:53 EDT
Created attachment 350539 [details]
dmesg with KMS

Description of problem:
When using "nomodeset" in F11 you have more (working) options than with KMS enabled in "System" - "Preferences" - "Display

Version-Release number of selected component (if applicable):
Linux localhost.localdomain 2.6.29.5-191.fc11.i686.PAE #1 SMP Tue Jun 16 23:19:53 EDT 2009 i686 athlon i386 GNU/Linux

How reproducible:
always

Steps to Reproduce:
1. just boot with or without "nomodeset" to see the difference.


Additional info:
ATI Radeon 9500 AGP

dmesg and XOrg.0.log attached.
Comment 1 Diego 2009-07-05 12:44:35 EDT
Created attachment 350540 [details]
Xorg.0.log with KMS
Comment 2 Diego 2009-07-05 13:07:09 EDT
Created attachment 350542 [details]
dmesg without KMS
Comment 3 Diego 2009-07-05 13:07:57 EDT
Created attachment 350543 [details]
Xorg.0.log without KMS
Comment 4 Diego 2009-07-05 13:17:29 EDT
The difference in the possible configuration available is quite clear with the xrandr command output.


Without KMS:

Screen 0: minimum 320 x 200, current 1280 x 1024, maximum 2560 x 1200
VGA-0 connected 1280x1024+0+0 (normal left inverted right x axis y axis) 355mm x 265mm
   1600x1200      85.0     75.0  
   1280x1024      85.0*    75.0     60.0  
   1152x864       75.0  
   1024x768       85.0     75.0     70.1     60.0     43.5  
   832x624        74.6  
   800x600        85.1     72.2     75.0     60.3  
   640x480        85.0     75.0     72.8     66.7     59.9  
   720x400        87.8     70.1  
DVI-0 disconnected (normal left inverted right x axis y axis)
S-video disconnected (normal left inverted right x axis y axis)



With KMS:

Screen 0: minimum 320 x 200, current 1600 x 1200, maximum 4096 x 4096
VGA-0 connected 1600x1200+0+0 (normal left inverted right x axis y axis) 355mm x 265mm
   1600x1200      85.0* 
   1280x1024      75.0  
   1152x864       75.0  
   1024x768       75.1     70.1     60.0  
   832x624        74.6  
   800x600        72.2     75.0     60.3  
   640x480        72.8     75.0     66.7     60.0  
   720x400        87.8     70.1  
   0x0             0.0  
DVI-0 disconnected (normal left inverted right x axis y axis)
Comment 5 Diego 2009-08-20 15:30:33 EDT
Still applies in 2.6.31-0.125.4.2.rc5.git2.fc12.i686
Comment 6 Diego 2009-09-10 04:00:11 EDT
Works much better now in the Radeon Test Day ISO image (09/09/09). Now KMS detects even more resolutions than the old method.

[liveuser@localhost ~]$ uname -a
Linux localhost.localdomain 2.6.31-0.219.rc9.git2.fc12.i686 #1 SMP Wed Sep 9 06:12:03 EDT 2009 i686 athlon i386 GNU/Linux

[liveuser@localhost ~]$ xrandr 
Screen 0: minimum 320 x 200, current 1920 x 1440, maximum 4096 x 4096
VGA-0 connected 1920x1440+0+0 (normal left inverted right x axis y axis) 355mm x 265mm
   1920x1440      60.0* 
   1792x1344      60.0  
   1600x1200      85.0     75.0  
   1280x1024      85.0     75.0     60.0  
   1152x864       75.0  
   1024x768       85.0     75.1     70.1     60.0  
   832x624        74.6  
   800x600        85.1     72.2     75.0     60.3  
   640x480        85.0     72.8     75.0     66.7     60.0  
   720x400        87.8     70.1  
DVI-0 disconnected (normal left inverted right x axis y axis)
S-video disconnected (normal left inverted right x axis y axis)

So this is fixed in rawhide. I'll let you know if I detect progresses in F11 too.
Comment 7 Diego 2009-09-10 04:03:06 EDT
Created attachment 360456 [details]
dmesg with KMS now working properly.

Kernel 2.6.31-0.219.rc9.git2.fc12.i686 fixes the problem.

Note You need to log in before you can comment on or make changes to this bug.